Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » 64-Bit Installation Problem
64-Bit Installation Problem [message #647197] Wed, 05 January 2011 00:16 Go to next message
Nicholas Shaw is currently offline Nicholas ShawFriend
Messages: 8
Registered: January 2011
Junior Member
I'll make this as short as possible.

I have two systems - a 32-bit Windows 7 and a 64-bit Windows 7.

I downloaded three files:

1. eclipse-java-helios-SR1-win32x86_32
2. eclipse-java-helios-SR1-win32x86_64
3. ajdt_2.1.1_for_eclipse_3.6

I installed the 32-bit on the 32-bit machine and the 64-bit on the 64-bit machine.

I then installed ajdt_2.1.1_for_eclipse_3.6 on the 32-bit system without issue. Installation was through the Help/Software Install. I pointed to the file and AspectJ was installed in about 1-2 minutes. I followed the exact same process for the 64-bit machine and it always hangs on "Fetching org.eclipse.pde.core_3.6.1.v2010090...se.pde.core_3.6.1.v201 0902_r361.jar.pack.gz ".

I searched for a different, 64-bit specific file and found none. Is AspectJ able to run on 64-bit Windows 7?

I would like to use it on my 64-bit system as it is a quadcore with 8GB of RAM while the 32-bit system is a netbook with 2GB of RAM.

In advance - thanks!

Nick.
Re: 64-Bit Installation Problem [message #647212 is a reply to message #647197] Wed, 05 January 2011 05:56 Go to previous messageGo to next message
Andrew Eisenberg is currently offline Andrew EisenbergFriend
Messages: 382
Registered: July 2009
Senior Member
Are you possibly behind a firewall? For some reason, p2 thinks it should be updating the org.eclipse.pde.core plugin for your 64 bit installation.

Either define a proxy so that you can get around your firewall, or unclick "Contact all update sites..." in your install manager.
Re: 64-Bit Installation Problem [message #647294 is a reply to message #647212] Wed, 05 January 2011 15:26 Go to previous message
Nicholas Shaw is currently offline Nicholas ShawFriend
Messages: 8
Registered: January 2011
Junior Member
Thanks, Andrew, but that wasn't the problem.

Both systems use the same firewall (Norton) but the 32-bit system had no issues. However, to be sure, I disabled the firewall for 15 minutes and tried again - no go. I then disabled the "Contact all update sites..." but then received the error that dependencies could not be resolved. Lastly, I ONLY checked to install the core (top block) and tried again without all update sites. That worked.

Thanks you for your help!

Nick.
Previous Topic:How to capture a caller in an aspect
Next Topic:org.eclipse.equinox.weaving.hook and custom target platform
Goto Forum:
  


Current Time: Fri Dec 15 00:26:33 GMT 2017

Powered by FUDForum. Page generated in 0.01437 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software